Bug 2236007 - CVE-2023-4513 wireshark: DoS (memory leak) via packet injection or crafted capture file [fedora-all]
Summary: CVE-2023-4513 wireshark: DoS (memory leak) via packet injection or crafted ca...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 38
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Ruprich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-4513
TreeView+ depends on / blocked
 
Reported: 2023-08-30 06:39 UTC by msiddiqu
Modified: 2023-09-15 18:44 UTC (History)
6 users (show)

Fixed In Version: wireshark-4.0.8-2.fc37 wireshark-4.0.8-2.fc38 wireshark-4.0.8-2.fc39
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-09 00:39:49 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description msiddiqu 2023-08-30 06:39:23 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2235814

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 msiddiqu 2023-08-30 06:39:27 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2235814,2236007

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-08-31 13:52:40 UTC
FEDORA-2023-920a3ab4ee has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-920a3ab4ee

Comment 3 Fedora Update System 2023-08-31 13:52:56 UTC
FEDORA-2023-abc9ca1e7e has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-abc9ca1e7e

Comment 4 Fedora Update System 2023-08-31 13:53:12 UTC
FEDORA-2023-b57a9be8a8 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b57a9be8a8

Comment 5 Fedora Update System 2023-09-01 01:46:29 UTC
FEDORA-2023-b57a9be8a8 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-b57a9be8a8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-b57a9be8a8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-09-01 02:24:25 UTC
FEDORA-2023-920a3ab4ee has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-920a3ab4ee`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-920a3ab4ee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-09-01 02:31:27 UTC
FEDORA-2023-abc9ca1e7e has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-abc9ca1e7e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-abc9ca1e7e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-09-09 00:39:49 UTC
FEDORA-2023-920a3ab4ee has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-09-09 01:34:45 UTC
FEDORA-2023-abc9ca1e7e has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-09-15 18:44:59 UTC
FEDORA-2023-b57a9be8a8 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.